cURL
curl -X POST "https://api.fitsociety.io/public/v1/clients/<clientId>/habits/apply-templates" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: habit-template-apply-20260826" \
-H "Content-Type: application/json" \
-d '{
"templateIds": ["<templateId>"],
"startDate": "2026-08-26",
"duplicateStrategy": "skip"
}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({templateIds: ['66f7b8b1e13c8d25f4d3d90a']})
};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits/apply-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/apply-templates"
payload = { "templateIds": ["66f7b8b1e13c8d25f4d3d90a"] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"application": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"duplicateStrategy": "string",
"totalSelected": 1,
"created": 1,
"skipped": 1,
"results": [
{
"templateId": "66f7b8b1e13c8d25f4d3d90a",
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"reason": "string",
"name": "Example name",
"habitType": "string"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Client habits
Apply standard habit templates
Requires habits:write. Creates active client habits from company-scoped standard habit templates. Existing habits with the same name and type are skipped by default.
POST
/
public
/
v1
/
clients
/
{clientId}
/
habits
/
apply-templates
cURL
curl -X POST "https://api.fitsociety.io/public/v1/clients/<clientId>/habits/apply-templates" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: habit-template-apply-20260826" \
-H "Content-Type: application/json" \
-d '{
"templateIds": ["<templateId>"],
"startDate": "2026-08-26",
"duplicateStrategy": "skip"
}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({templateIds: ['66f7b8b1e13c8d25f4d3d90a']})
};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits/apply-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits/apply-templates"
payload = { "templateIds": ["66f7b8b1e13c8d25f4d3d90a"] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"application": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"duplicateStrategy": "string",
"totalSelected": 1,
"created": 1,
"skipped": 1,
"results": [
{
"templateId": "66f7b8b1e13c8d25f4d3d90a",
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"reason": "string",
"name": "Example name",
"habitType": "string"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
Body
application/json